;################################################################################
;#										#
;# avr-chipbasic2M - mobile single chip basic computer with ATmega644		#
;# game menu									#
;# copyright (c) 2008 Joerg Wolfram (joerg@jcwolfram.de)			#
;#										#
;#										#
;# This program is free software; you can redistribute it and/or		#
;# modify it under the terms of the GNU General Public License			#
;# as published by the Free Software Foundation; either version 2		#
;# of the License, or (at your option) any later version.			#
;#										#
;# This program is distributed in the hope that it will be useful,		#
;# but WITHOUT ANY WARRANTY; without even the implied warranty of		#
;# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the GNU		#
;# General Public License for more details.					#
;#										#
;# You should have received a copy of the GNU General Public			#
;# License along with this library; if not, write to the			#
;# Free Software Foundation, Inc., 59 Temple Place - Suite 330,			#
;# Boston, MA 02111-1307, USA.							#
;#										#
;################################################################################

game_menu: 	clr	tempreg2
game_menu_re:	set
		ldi	ZL,LOW(menu_stab2*2)
		ldi	ZH,HIGH(menu_stab2*2)
		libmio_imenu8
game_menu_1:	cpi	tempreg1,0xed		;ESC
		brne	game_menu_2
		ret
		
		cpi	tempreg1,0xea
		brne	game_menu_re				
;game 1
game_menu_2:	cpi	tempreg2,0		;game 1
		brne	game_menu_3
		call	bout_main	
		clr	tempreg2
		rjmp	game_menu_re
;game 2
game_menu_3:	cpi	tempreg2,1		;game 2
		brne	game_menu_4
		call	puzz_main
		ldi	tempreg2,1				
		rjmp	game_menu_re		
;game 3
game_menu_4:	cpi	tempreg2,2		;game 3
		brne	game_menu_5

		ldi	tempreg2,2		;		
		rjmp	game_menu_re		;loop	
;game 4
game_menu_5:	cpi	tempreg2,3
		brne	game_menu_6

		ldi	tempreg2,3		;		
		rjmp	game_menu_re		;loop			
;game 5
game_menu_6:	cpi	tempreg2,4	
		brne	game_menu_7

		ldi	tempreg2,4		;		
		rjmp	game_menu_re		;loop	
;game 6
game_menu_7:	cpi	tempreg2,5
		brne	game_menu_8
	
		ldi	tempreg2,5		;		
		rjmp	game_menu_re		;loop	
;game 7
game_menu_8:	cpi	tempreg2,6
		brne	game_menu_9
		
		ldi	tempreg2,6		;		
		rjmp	game_menu_re		;loop	
;game 8	
game_menu_9:	
		ldi	tempreg2,7		;		
		rjmp	game_menu_re		;loop	

